Subject: Re: bug#51362: python font-lock-mode in emacs 28 seems broken

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 18 Apr 2022 11:50:16 +0200

kobarity <[email-masked]> writes:

> Remaining two following bugs mentioned in Message #24 and Bug #45679
> are the same:
>
> - The y in y = x + 1 is not highlighted — this is fixed by subsequent
>   edits
> - The CustomInt in -> CustomInt is highlighted — this is fixed by
>   subsequent edits
>
> Is it better to discuss in Bug #45679?

Either is fine, I think.

> These bugs are caused by not-simple-operator matching characters
> including EOLs. So rx '(+ not-simple-operator)' may span multiple
> lines.
>
> This problem can be fixed with the following patch. Behavior of
> python-font-lock-assignment-matcher is same as Dario's patch, but I'm
> just showing another option using cl-loop. I also modified docstring.

Looks good to me.

> I wrote some tests as the attached patch. Both the above patch and the
> patch shown in Bug #54992 are necessary for all of the tests to pass.

The two functional patches are small enough to include without a
copyright assignment, but the tests are over the limit, size-wise.
Would you be willing to assign copyright to the FSF for this code?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no